Subject: Re: bug#54970: 28.1; Some emoji no longer display

From: Howard Melman <[email-masked]>
Date: Sun, 17 Apr 2022 11:54:39 -0400

> On Apr 17, 2022, at 11:50 AM, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Howard Melman <[email-masked]>
>> Date: Sun, 17 Apr 2022 10:49:35 -0400
>> 
>> 
>>> On Apr 17, 2022, at 10:44 AM, Eli Zaretskii <[email-masked]> wrote:
>>> 
>>> Emacs also displays tofu if it finds no suitable font.  What you
>>> describe sounds like Emacs found some font that claimed to have a
>>> glyph for this codepoint, but the glyph displays as blank.  Which is,
>>> of course, in contradiction with the "no font available" part, so I
>>> admit I don't understand what happened on your system.  Was that in
>>> "emacs -Q"?
>> 
>> Yes it was.
> 
> Does this empty display happen with every character for which you have
> no fonts?  For example, what about this string: 𓂋𓏤𓈖𓆎𓅓‌𓏏𓊖?
> 
> On my system, characters for which Emacs cannot find a font display as
> "tofu": small squares that show the codepoint of the character in
> hex.  That's what should happen by default in those cases.

I cut and pasted that string from Apple Mail to Emacs 28 -Q on macOS 11.6.5
and saw this:

Howard